%define debugging 0
%define _disable_ld_no_undefined 1

#
# From FC:
#

%global perl_version    5.40.0
%global perl_epoch      2
%global perl_arch_stem -thread-multi
%global perl_archname %{_arch}-%{_os}%{perl_arch_stem}

%global multilib_64_archs aarch64 %{power64} s390x sparc64 x86_64 
%global parallel_tests 0
%global tapsetdir   %{_datadir}/systemtap/tapset

# This overrides filters from build root (/usr/lib/rpm/macros.d/macros.perl)
# intentionally (unversioned perl(DB) is removed and versioned one is kept).
# Filter provides from *.pl files, bug #924938
%global __provides_exclude_from .*%{_docdir}|.*%{perl_archlib}/.*\\.pl$|.*%{perl_privlib}/.*\\.pl$
%global __requires_exclude_from %{_docdir}
%global __provides_exclude perl\\((VMS|Win32|BSD::|DB\\)$)
%global __requires_exclude perl\\((VMS|BSD::|Win32|Tk|Mac::|Your::Module::Here)|^perl >

# Optional features

# SystemTap support
%bcond_without perl_enables_systemtap
# We can skip %%check phase
%bcond_without test

#
# End of FC
#




Name:     perl
Version:  %{perl_version}
Release:  %mkrel 1
Epoch:    %{perl_epoch}

%define rel %{nil}

Summary:  The Perl programming language
License:  GPL+ or Artistic
Group:    Development/Perl
Url:      https://www.perl.org/

# ftp://ftp.funet.fi/pub/languages/perl/snap/perl@17574.tbz
#ftp://ftp.funet.fi/pub/languages/perl/CPAN/src/perl-%%{version}.tar.bz2
Source0:  https://www.cpan.org/src/perl-%{version}%{rel}.tar.gz
Source1:  perl-headers-wanted
Source2:  perl-5.8.0-RC2-special-h2ph-not-failing-on-machine_ansi_header.patch
# From FC:
Source3:        macros.perl
#Systemtap tapset and example that make use of systemtap-sdt-devel
# build requirement. Written by lberk; Not yet upstream.
Source4:        perl.stp
Source5:        perl-example.stp
Patch400:  perl-5.16.0-perldoc-use-nroff-compatibility-option.patch
Patch123:  perl-5.12.0-patchlevel.patch

Patch144:  perl-5.16.0-h2ph--handle-relative-include.patch

# mdvbz#34505, get rid of this patch as soon as possible :-/
Patch148:  perl-5.38.0-workaround-segfault-freeing-scalar-a-second-time.patch


#
# fixes taken from debian
#
# Fix a segmentation fault occurring in the mod_perl2 test suite (debian #475498, perl #33807)
Patch165:  local_symtab.diff
# use hanextra for zh_CN.GB18030 promoted in mga3
Patch168:  perl-5.16.1-use-han-extra.patch

# do not exclude requires from META.* from %%_docdir when using %%perl_default_filter:
Patch170:  do-not-exclude-requires-from-meta.diff

Patch1000:      perl-5.26.0-cpan-without-dot.diff
Patch1001:      perl-5.22.3-eumm-without-dot.diff

# From FC:

# Fedora/RHEL only (64bit only)
Patch2:         perl-5.8.0-libdir64.patch
# FIXME: May need the "Fedora" references removed before upstreaming
# patches ExtUtils-MakeMaker
Patch4:         perl-USE_MM_LD_RUN_PATH.patch

# Provide maybe_command independently, bug #1129443
Patch5:         perl-5.22.1-Provide-ExtUtils-MM-methods-as-standalone-ExtUtils-M.patch

# Define SONAME for libperl.so
Patch8:        perl-5.16.3-create_libperl_soname.patch

# Install libperl.so to -Dshrpdir value
Patch9:        perl-5.22.0-Install-libperl.so-to-shrpdir-on-Linux.patch

# Make *DBM_File desctructors thread-safe, bug #1107543, RT#61912
Patch10:        perl-5.34.0-Destroy-GDBM-NDBM-ODBM-SDBM-_File-objects-only-from-.patch

# Replace ExtUtils::MakeMaker dependency with ExtUtils::MM::Utils.
# This allows not to require perl-devel. Bug #1129443
Patch11:        perl-5.22.1-Replace-EU-MM-dependnecy-with-EU-MM-Utils-in-IPC-Cmd.patch

# Link XS modules to pthread library to fix linking with -z defs,
# <https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/3RHZEHLRUHJFF2XGHI5RB6YPDNLDR4HG/>
Patch12:        perl-5.27.8-hints-linux-Add-lphtread-to-lddlflags.patch

# Pass the correct CFLAGS to dtrace
Patch13:        perl-5.28.0-Pass-CFLAGS-to-dtrace.patch

# Link XS modules to libperl.so with EU::CBuilder on Linux, bug #960048
Patch200:       perl-5.16.3-Link-XS-modules-to-libperl.so-with-EU-CBuilder-on-Li.patch

# Link XS modules to libperl.so with EU::MM on Linux, bug #960048
Patch201:       perl-5.16.3-Link-XS-modules-to-libperl.so-with-EU-MM-on-Linux.patch

# If optimizing -O is used, add the definition to .ph files, bug #2152012
Patch202:       perl-5.36.0-Add-definition-of-OPTIMIZE-to-.ph-files.patch

# Update some of the bundled modules
# see http://fedoraproject.org/wiki/Perl/perl.spec for instructions

#
# Security patches
# P2000 -> ...
#

Requires: perl-base = %{epoch}:%{version}-%{release}

# --

# the following modules are dual-lifed modules, which are shipping
# scripts in /usr/bin. to prevent conflict, dual-lifed modules rename
# the scripts - but only after the listed version ;-)
# BuildRequires:  git-core
BuildRequires:  bzip2-devel
BuildRequires:  zlib-devel
%if %{with perl_enables_systemtap}
BuildRequires:  systemtap-sdt-devel
%endif
Conflicts: perl-Archive-Tar < 1.840.0-2
Conflicts: perl-Digest-SHA < 5.610.0-3
Conflicts: perl-JSON-PP < 2.271.50-3
Conflicts: perl-Module-Build < 1:0.380.0-3
Conflicts: perl-Module-CoreList <= 2.610.0
Conflicts: perl-Pod-Perldoc < 3.150.0-3
Conflicts: perl-IO-Compress < 2.49.0-2
# lib/perl5db.t will fail if Term::ReadLine::Gnu is available
BuildConflicts: perl-Term-ReadLine-Gnu
# ReadKey.c: loadable library and perl binaries are mismatched (got first handshake key 0xf380080, needed 0xeb80080)
BuildConflicts: perl-Term-ReadKey <= 2.380.0-9.mga10

# the following modules are no more compatible with recent perls, and
# aren't updated on cpan since quite some time.
# - perl 5.14
Conflicts: perl-Alias        <= 2.320.0-2
Conflicts: perl-DBD-Firebird <= 0.52-1
# rt#66966
Conflicts: perl-MIME-Explode <= 0.380.0-2

# file conflict on /bin/prove
Conflicts: perl-devel <= 5.18.2-3.mga5

Provides: perl(feature)
Provides: perl(re)
# Loaded by charnames, unicore/Name.pm does not declare unicore::Name module
Provides:       perl(unicore::Name)

Provides:  perl-libnet
Provides:  perl-Storable = 2.490.0
Obsoletes: perl-Storable < 2.490.0
Provides:  perl-Time-HiRes = 1:1.972.600
Obsoletes: perl-Time-HiRes < 1:1.972.600
Provides:  perl-Locale-Codes
Provides:  perl-Test-Simple = 1.1.2
Obsoletes: perl-Test-Simple < 1.1.2
Provides:  perl-Test-Builder-Tester = 1.180.0
Obsoletes: perl-Test-Builder-Tester < 1.180.0

Provides:  perl(version) = 1:1.130.0
Provides:  perl-version = 1:1.130.0
Obsoletes: perl-version < 1:1.130.0
Provides:  perl-File-Fetch = 0.480.0
Obsoletes: perl-File-Fetch < 0.480.0
Provides:  perl-CPAN = 2.50.0
Obsoletes: perl-CPAN < 2.50.0
Provides:  perl-IO-Zlib = 1.100.0
Obsoletes: perl-IO-Zlib < 1.100.0
Provides:  perl-Pod-Simple = 3.280.0
Obsoletes: perl-Pod-Simple < 3.280.0
%rename    perl-Math-BigInt-FastCalc

# for NDBM
BuildRequires: db-devel
BuildRequires: gdbm-devel
%if "%{_lib}" == "lib64"
BuildRequires: devel(libgdbm_compat(64bit))
%else
BuildRequires: devel(libgdbm_compat)
%endif
BuildRequires: rpm-%{_real_vendor}-setup-build

BuildRequires: man

%package base
Version:  %{version}
Summary:  The Perl programming language (base)
Provides: perl(v5.6.0) perl(base) perl(bytes) perl(constant) perl(integer) perl(lib) perl(overload) perl(strict) perl(utf8) perl(vars) perl(warnings) perl(Carp::Heavy)
Group:    Development/Perl
Url:      https://www.perl.org/
# explicit file provides
Provides: /usr/bin/perl
Provides: /bin/perl

%package devel
Version:  %{version}
Summary:  The Perl programming language (devel)
%if %{with perl_enables_systemtap}
Requires:       systemtap-sdt-devel
%endif
Group:    Development/Perl
Url: https://www.perl.org/
# for each package linked against libperl.so, rpm will
# add an automatic dependency on devel(libperl) for
# the corresponding devel package, but rpm will not
# automatically provides it, as libperl.so is not in
# standard library path
%ifarch %ix86
Provides:   devel(libperl)
%endif
%ifarch x86_64 aarch64
Provides:   devel(libperl(64bit))
%endif
Requires: %{name} = %{epoch}:%{version}-%{release}

%package doc
Version:  %{version}
Summary:  The Perl programming language (documentation)
Group:    Development/Perl
BuildArch: noarch
Url:      https://www.perl.org/
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: groff-for-man
Requires: perl(Pod::Perldoc)

%description
Perl is a high-level programming language with roots in C, sed, awk
and shell scripting.  Perl is good at handling processes and files,
and is especially good at handling text.  Perl's hallmarks are
practicality and efficiency.  While it is used to do a lot of
different things, Perl's most common applications (and what it excels
at) are probably system administration utilities and web programming.
A large proportion of the CGI scripts on the web are written in Perl.
You need the perl package installed on your system so that your
system can handle Perl scripts.

You need perl-base to have a full perl.

%description base
This is the base package for %{name}.
It contains the perl interpreter as well as the minimal set of perl
modules for a minimal basesystem.

%description devel
This is the devel package for %{name}.

%description doc
This is the documentation package for %{name}.
It contains also the 'perldoc' program.

%prep
%setup -q -n %{name}-%{version}%{rel}
%ifarch %{multilib_64_archs}
%patch -P2 -p1
%endif
%patch -P4 -p1
%patch -P5 -p1
%patch -P8 -p1
%patch -P9 -p1
%patch -P10 -p1
%patch -P11 -p1
%patch -P12 -p1
%patch -P13 -p1
%patch -P200 -p1
%patch -P201 -p1
%patch -P202 -p1

%patch -P144 -p0
%patch -P148 -p0

%patch -P165 -p1
%patch -P168 -p1 -b .han

# FC's macros.perl (we need to patch it):
cp -a %{SOURCE3} .
# do not exclude requires from META.* from %%_docdir:
%patch -P170 -p1 -b .req_from_meta

%patch -P400 -p0
%patch -P1000 -p1
%patch -P1001 -p1

%if "%{rel}" == "%{nil}"
# Local patch tracking
perl -x patchlevel.h \
    'Mageia patches'
%endif

#copy the example script
install -m 0644 %{SOURCE5} .

find . -name \*.orig -exec rm -fv {} \;

# Configure Compress::Zlib to use system zlib
sed -i 's|BUILD_ZLIB      = True|BUILD_ZLIB      = False|
    s|INCLUDE         = ./zlib-src|INCLUDE         = %{_includedir}|
    s|LIB             = ./zlib-src|LIB             = %{_libdir}|' \
    cpan/Compress-Raw-Zlib/config.in

# Ensure that we never accidentally bundle zlib or bzip2
rm -rf cpan/Compress-Raw-Zlib/zlib-src
rm -rf cpan/Compress-Raw-Bzip2/bzip2-src
sed -i '/\(bzip2\|zlib\)-src/d' MANIFEST

%build
echo "RPM Build arch: %{_arch}"

# use "lib", not %%{_lib}, for privlib, sitelib, and vendorlib
# To build production version, we would need -DDEBUGGING=-g

# Perl INC path (perl -V) in search order:
# - /usr/local/share/perl5            -- for CPAN     (site lib)
# - /usr/local/lib[64]/perl5          -- for CPAN     (site arch)
# - /usr/share/perl5/vendor_perl      -- 3rd party    (vendor lib)
# - /usr/lib[64]/perl5/vendor_perl    -- 3rd party    (vendor arch)
# - /usr/share/perl5                  -- Fedora       (priv lib)
# - /usr/lib[64]/perl5                -- Fedora       (arch lib)

%global privlib     %{_prefix}/share/perl5
%global archlib     %{_libdir}/perl5

%global perl_vendorlib  %{privlib}/vendor_perl
%global perl_vendorarch %{archlib}/vendor_perl

%global perl_abi    %(echo '%{perl_version}' | sed 's/^\\([^.]*\\.[^.]*\\).*/\\1/')

# ldflags is not used when linking XS modules.
# Only ldflags is used when linking miniperl.
# Only ccflags and ldflags are used for Configure's compiler checks.
# Set optimize=none to prevent from injecting upstream's value.
/bin/sh Configure -des \
%if %debugging
  -Doptimize=-g -DDEBUGGING \
%else
  -Doptimize="none" \
  -Dccflags="$RPM_OPT_FLAGS" \
  -Dldflags="$RPM_LD_FLAGS" \
  -Dccdlflags="-Wl,--enable-new-dtags $RPM_LD_FLAGS" \
  -Dlddlflags="-shared $RPM_LD_FLAGS" \
  -Dshrpdir="%{_libdir}" \
  -DDEBUGGING=-g \
%endif
  -Dmyhostname=localhost \
  -Dperladmin=root@localhost \
  -Dcc='%{__cc}' \
  -Dcf_by=%{distribution} \
  -Dcf_email=root@localhost  \
  -Dprefix=%{_prefix} \
  -Dman3dir="%{_mandir}/man3pm" \
  -Dvendorprefix=%{_prefix} \
  -Dsiteprefix=%{_prefix}/local \
  -Dsitelib="%{_prefix}/local/share/perl5/%{perl_abi}" \
  -Dsitearch="%{_prefix}/local/%{_lib}/perl5/%{perl_abi}" \
  -Dprivlib="%{privlib}" \
  -Dvendorlib="%{perl_vendorlib}" \
  -Dsiteman1dir=%_prefix/local/share/man/man1 \
  -Dsiteman3dir=%_prefix/local/share/man/man3 \
  -Dvendorman3dir=%_mandir/man3 \
  -Darchlib="%{archlib}" \
  -Dvendorarch="%{perl_vendorarch}" \
  -Darchname=%{perl_archname} \
%ifarch %{multilib_64_archs}
        -Dlibpth="/usr/local/lib64 /lib64 %{_prefix}/lib64" \
%endif
  -Duseshrplib \
  -Duseithreads \
%if %{with perl_enables_systemtap}
        -Dusedtrace='/usr/bin/dtrace' \
%else
        -Uusedtrace \
%endif
  -Di_db \
  -Ui_ndbm \
  -Di_gdbm \
  -Dman3ext=3pm \
  -Duse64bitint

# -Duseshrplib creates libperl.so, -Ubincompat5005 help create DSO -> libperl.so

BUILD_BZIP2=0
BZIP2_LIB=%{_libdir}
export BUILD_BZIP2 BZIP2_LIB

# Prepare a symlink from proper DSO name to libperl.so now so that new perl
# can be executed from make.
%global soname libperl.so.%{perl_abi}
test -L %soname || ln -s libperl.so %soname
%make_build

%install
%make_install

%global build_archlib $RPM_BUILD_ROOT%{archlib}
%global build_privlib $RPM_BUILD_ROOT%{privlib}
%global build_bindir  $RPM_BUILD_ROOT%{_bindir}
%global new_perl LD_PRELOAD="%{build_archlib}/CORE/libperl.so" \\\
    LD_LIBRARY_PATH="%{build_archlib}/CORE" \\\
    PERL5LIB="%{build_archlib}:%{build_privlib}" \\\
    %{build_bindir}/perl

# Make proper DSO names, move libperl to standard path.
mv "%{build_archlib}/CORE/libperl.so" \
    "$RPM_BUILD_ROOT%{_libdir}/libperl.so.%{perl_version}"
ln -s "libperl.so.%{perl_version}" "$RPM_BUILD_ROOT%{_libdir}/%{soname}"
ln -s "libperl.so.%{perl_version}" "$RPM_BUILD_ROOT%{_libdir}/libperl.so"
# XXX: Keep symlink from original location because various code glues
# $archlib/CORE/$libperl to get the DSO.
ln -s "../../libperl.so.%{perl_version}" "%{build_archlib}/CORE/libperl.so"


#
# perl RPM macros
#
mkdir -p ${RPM_BUILD_ROOT}%{_rpmmacrodir}
# (tv) not using SOURCE3 because we need to patch it:
install -p -m 644 macros.perl ${RPM_BUILD_ROOT}%{_rpmmacrodir}

chmod -R u+w $RPM_BUILD_ROOT/*

# Do not distribute File::Spec::VMS as it works on VMS only (bug #973713)
# We cannot remove it in %%prep because dist/Cwd/t/Spec.t test needs it.
rm %{build_archlib}/File/Spec/VMS.pm
rm $RPM_BUILD_ROOT%{_mandir}/man3*/File::Spec::VMS.3*

# Do not distribute ExtUtils-PL2Bat, it is used only for Windows
rm %{build_privlib}/ExtUtils/PL2Bat.pm
rm $RPM_BUILD_ROOT%{_mandir}/man3*/ExtUtils::PL2Bat.3*

# Normalize shell bangs in tests.
# brp-mangle-shebangs executed by rpm-build chokes on t/TEST.
%{new_perl} -MConfig -i -pn \
    -e 's"\A#!(?:perl|\./perl|/perl|/usr/bin/perl|/usr/bin/env perl)\b"$Config{startperl}"' \
    $(find %{buildroot}%{perl5_testdir}/perl-tests -type f)
 
%if %{with perl_enables_systemtap}
# Systemtap tapset install
mkdir -p %{buildroot}%{tapsetdir}
%ifarch %{multilib_64_archs}
%global libperl_stp libperl%{perl_version}-64.stp
%else
%global libperl_stp libperl%{perl_version}-32.stp
%endif

sed \
  -e "s|LIBRARY_PATH|%{_libdir}/%{soname}|" \
  %{SOURCE4} \
  > %{buildroot}%{tapsetdir}/%{libperl_stp}
%endif
 

cp -f utils/h2ph utils/h2ph_patched
cat %{SOURCE2} | patch -p1

# LD_PRELOAD doesn't work... why?
LD_LIBRARY_PATH=`pwd`:$RPM_BUILD_ROOT%{_libdir} ./perl -Ilib utils/h2ph_patched -a -d $RPM_BUILD_ROOT%{archlib} `cat %{SOURCE1}` > /dev/null ||:

(
    # i don't like hardlinks, having symlinks instead:
    cd $RPM_BUILD_ROOT%{_bindir}
    ln -sf perl5 perl
    ln -s perl%{version} perl5
)

rm -f $RPM_BUILD_ROOT%{_bindir}/perlivp $RPM_BUILD_ROOT%{_mandir}/man1/perlivp.1

# call spec-helper before creating the file list
# (spec-helper removes some files, and compress some others)
%define dont_strip 1
%{?__spec_helper_post}
%undefine dont_strip

(
   cat > perl-base.list <<EOF
%{_bindir}/perl
%{_bindir}/perl5
%{_bindir}/perl%{version}
%dir %{privlib}
%dir %{privlib}/File
%{privlib}/autouse.pm
%{privlib}/AnyDBM_File.pm
%{privlib}/FindBin.pm
%{privlib}/File/Basename.pm
%{privlib}/File/Find.pm
%{privlib}/File/Path.pm
%{privlib}/File/Temp.pm
%{privlib}/File/GlobMapper.pm
%dir %{privlib}/Getopt
%{privlib}/Getopt/Long.pm
%{privlib}/Getopt/Std.pm
%dir %{privlib}/Encode
%{privlib}/Encode/ConfigLocal_PM.e2x
%{privlib}/Encode/Makefile_PL.e2x
%{privlib}/Encode/_PM.e2x
%{privlib}/Encode/_T.e2x
%{privlib}/ExtUtils/Liblist.pm
%{privlib}/ExtUtils/Liblist/Kid.pm
%{privlib}/ExtUtils/MakeMaker
%{privlib}/ExtUtils/MakeMaker.pm
%{privlib}/ExtUtils/MakeMaker/Config.pm
%{privlib}/ExtUtils/MM.pm
%{privlib}/ExtUtils/MY.pm
#%{privlib}/ExtUtils/MakeMaker/Locale.pm
%{privlib}/ExtUtils/MakeMaker/version.pm
%dir %{privlib}/IO
%dir %{privlib}/Compress
%dir %{privlib}/IO/Compress
%{privlib}/Compress/Zlib.pm
%dir %{privlib}/IO/Compress/Adapter
%{privlib}/IO/Compress/Adapter/Bzip2.pm
%{privlib}/IO/Compress/Adapter/Deflate.pm
%{privlib}/IO/Compress/Adapter/Identity.pm
%dir %{privlib}/IO/Compress/Base
%{privlib}/IO/Compress/Base.pm
%{privlib}/IO/Compress/Base/Common.pm
%{privlib}/IO/Compress/Bzip2.pm
%{privlib}/IO/Compress/Deflate.pm
%dir %{privlib}/IO/Compress/Gzip
%{privlib}/IO/Compress/Gzip.pm
%{privlib}/IO/Compress/Gzip/Constants.pm
%{privlib}/IO/Compress/RawDeflate.pm
%dir %{privlib}/IO/Compress/Zip
%{privlib}/IO/Compress/Zip.pm
%{privlib}/IO/Compress/Zip/Constants.pm
%dir %{privlib}/IO/Compress/Zlib
%{privlib}/IO/Compress/Zlib/Constants.pm
%{privlib}/IO/Compress/Zlib/Extra.pm
%dir %{privlib}/IO/Uncompress
%dir %{privlib}/IO/Uncompress/Adapter
%{privlib}/IO/Uncompress/Adapter/Bunzip2.pm
%{privlib}/IO/Uncompress/Adapter/Identity.pm
%{privlib}/IO/Uncompress/Adapter/Inflate.pm
%{privlib}/IO/Uncompress/AnyInflate.pm
%{privlib}/IO/Uncompress/AnyUncompress.pm
%{privlib}/IO/Uncompress/Base.pm
%{privlib}/IO/Uncompress/Bunzip2.pm
%{privlib}/IO/Uncompress/Gunzip.pm
%{privlib}/IO/Uncompress/Inflate.pm
%{privlib}/IO/Uncompress/RawInflate.pm
%{privlib}/IO/Uncompress/Unzip.pm
%{privlib}/Net/Cmd.pm
%{privlib}/Net/Config.pm
%dir %{privlib}/Net/FTP
%{privlib}/Net/FTP.pm
%{privlib}/Net/FTP/A.pm
%{privlib}/Net/FTP/E.pm
%{privlib}/Net/FTP/I.pm
%{privlib}/Net/FTP/L.pm
%{privlib}/Net/FTP/dataconn.pm
%dir %{privlib}/Time
%{privlib}/Time/Local.pm
%{privlib}/AutoLoader.pm
%dir %{privlib}/Carp
%{privlib}/Carp.pm
%{privlib}/Carp/Heavy.pm
%{privlib}/DirHandle.pm
%{archlib}/Errno.pm
%dir %{privlib}/Exporter
%{privlib}/Exporter/Heavy.pm
%{privlib}/Exporter.pm
%{privlib}/FileHandle.pm
%{privlib}/IPC/Open2.pm
%{privlib}/IPC/Open3.pm
%{privlib}/Net/POP3.pm
%{privlib}/PerlIO.pm
%{privlib}/SelectSaver.pm
%{privlib}/Symbol.pm
%dir %{privlib}/Tie
%{privlib}/Tie/Hash.pm
%{privlib}/XSLoader.pm
%{privlib}/base.pm
%{privlib}/bytes.pm
%{privlib}/constant.pm
%{privlib}/feature.pm
%{privlib}/integer.pm
%{privlib}/overload.pm
%{privlib}/overloading.pm
%{privlib}/parent.pm
%{privlib}/strict.pm
%{privlib}/utf8.pm
%{privlib}/vars.pm
%dir %{privlib}/warnings
%{privlib}/warnings/register.pm
%{privlib}/warnings.pm
%dir %{archlib}
%{archlib}/lib.pm
%{archlib}/B.pm
%{archlib}/auto/B/B.so
%{archlib}/Cwd.pm
%{archlib}/File/Spec.pm
%{archlib}/File/Spec/Unix.pm
%dir %{archlib}/File/Spec
%{archlib}/Fcntl.pm
%{archlib}/IO.pm
%dir %{archlib}/IO
%{archlib}/IO/File.pm
%{archlib}/IO/Handle.pm
%{archlib}/IO/Seekable.pm
%{archlib}/IO/Select.pm
%{archlib}/IO/Socket.pm
%dir %{archlib}/IO/Socket
%{archlib}/IO/Socket/INET.pm
%{archlib}/IO/Socket/UNIX.pm
%dir %{archlib}/Compress
%dir %{archlib}/Compress/Raw
%{archlib}/Compress/Raw/Bzip2.pm
%{archlib}/Compress/Raw/Zlib.pm
%dir %{archlib}/auto/Compress
%dir %{archlib}/auto/Compress/Raw
%dir %{archlib}/auto/Compress/Raw/Bzip2
%{archlib}/auto/Compress/Raw/Bzip2/Bzip2.so
%dir %{archlib}/auto/Compress/Raw/Zlib
%{archlib}/auto/Compress/Raw/Zlib/Zlib.so
%dir %{archlib}/auto
%dir %{archlib}/auto/Cwd
%{archlib}/auto/Cwd/Cwd.so
%dir %{archlib}/auto/Data
%dir %{archlib}/auto/Data/Dumper
%{archlib}/auto/Data/Dumper/Dumper.so
%{archlib}/Data/Dumper.pm
%dir %{archlib}/auto/Fcntl
%{archlib}/auto/Fcntl/Fcntl.so
%dir %{archlib}/auto/File
%dir %{archlib}/auto/File/Glob
%{archlib}/auto/File/Glob/Glob.so
%{archlib}/File/Glob.pm
%dir %{archlib}/auto/MIME
%dir %{archlib}/auto/MIME/Base64
%{archlib}/auto/MIME/Base64/Base64.so
%dir %{archlib}/auto/Digest
%dir %{archlib}/auto/Digest/MD5
%{archlib}/auto/Digest/MD5/MD5.so
%dir %{archlib}/auto/I18N
%dir %{archlib}/auto/I18N/Langinfo/
%{archlib}/auto/I18N/Langinfo/Langinfo.so
%dir %{archlib}/auto/IO
%{archlib}/auto/IO/IO.so
%dir %{archlib}/auto/Encode
%{archlib}/Encode.pm
%{archlib}/Encode/Alias.pm
%{archlib}/Encode/Byte.pm
%{archlib}/Encode/CJKConstants.pm
%{archlib}/Encode/Config.pm
%{archlib}/Encode/EBCDIC.pm
%{archlib}/Encode/Encoder.pm
%{archlib}/Encode/Encoding.pm
%{archlib}/Encode/GSM0338.pm
%{archlib}/Encode/Guess.pm
%dir %{archlib}/Encode/MIME
%dir %{archlib}/Encode/MIME/Header
%{archlib}/Encode/MIME/Header.pm
%{archlib}/Encode/MIME/Header/ISO_2022_JP.pm
%{archlib}/Encode/MIME/Name.pm
%{archlib}/Encode/Symbol.pm
%dir %{archlib}/Encode/Unicode
%{archlib}/Encode/Unicode.pm
%{archlib}/Encode/Unicode/UTF7.pm
%dir %{archlib}/auto/Encode/Byte
%{archlib}/auto/Encode/Byte/Byte.so
%dir %{archlib}/auto/Encode/EBCDIC
%{archlib}/auto/Encode/EBCDIC/EBCDIC.so
%{archlib}/auto/Encode/Encode.so
%dir %{archlib}/auto/Encode/Symbol
%{archlib}/auto/Encode/Symbol/Symbol.so
%dir %{archlib}/auto/Encode/Unicode
%{archlib}/auto/Encode/Unicode/Unicode.so
%dir %{archlib}/List
%dir %{archlib}/List/Util
%{archlib}/List/Util.pm
%{archlib}/List/Util/XS.pm
%dir %{archlib}/auto/List
%dir %{archlib}/auto/List/Util
%{archlib}/auto/List/Util/Util.so
%dir %{archlib}/auto/POSIX
%{archlib}/auto/POSIX/POSIX.so
%dir %{archlib}/auto/Socket
%{archlib}/auto/Socket/Socket.so
%dir %{archlib}/auto/Storable
%{archlib}/auto/Storable/Storable.so
%dir %{archlib}/auto/re
%{archlib}/auto/re/re.so
%{archlib}/Config.pm
%{archlib}/Config_heavy.pl
%{archlib}/Digest/MD5.pm
%{archlib}/DynaLoader.pm
%{archlib}/I18N/Langinfo.pm
%{archlib}/MIME/Base64.pm
%{archlib}/MIME/QuotedPrint.pm
%{archlib}/POSIX.pm
%dir %{archlib}/Scalar/
%{archlib}/Scalar/Util.pm
%{archlib}/Socket.pm
%{archlib}/Storable.pm
%dir %{archlib}/Sys/
%dir %{archlib}/auto/Sys/
%dir %{archlib}/auto/Sys/Hostname
%{archlib}/Sys/Hostname.pm
%{archlib}/auto/Sys/Hostname/Hostname.so
%{archlib}/re.pm
%dir %{archlib}/CORE
%{archlib}/CORE/libperl.so
%dir %{archlib}/asm
%dir %{archlib}/bits
%dir %{archlib}/sys
%{archlib}/asm/unistd.ph
%ifarch armv7hl
%{archlib}/asm/unistd-eabi.ph
%endif
%ifarch %mips
%{archlib}/asm/sgidefs.ph
%endif
%ifarch x86_64
%{archlib}/bits/wordsize.ph
%endif
%ifarch %ix86 x86_64
%{archlib}/asm/unistd_32.ph
%{archlib}/asm/unistd_64.ph
%endif
%ifarch aarch64
%{archlib}/asm-generic/unistd.ph
%{archlib}/asm-generic/bitsperlong.ph
%{archlib}/asm/bitsperlong.ph
%endif
%{archlib}/bits/syscall.ph
%{archlib}/sys/syscall.ph
%{archlib}/_h2ph_pre.ph
%{archlib}/syscall.ph
EOF

   cat > perl.list <<EOF
%doc README
%doc Artistic
%{_bindir}/encguess
%{_bindir}/perlbug
%{_bindir}/perlthanks
%{_bindir}/pod2man
%{_bindir}/pod2html
%{_bindir}/pod2text
%{_bindir}/prove
%{_bindir}/ptar
%{_bindir}/ptardiff
%{_bindir}/ptargrep
%{_bindir}/splain
%{_bindir}/zipdetails
%{_bindir}/streamzip
EOF

   cat > perl-devel.list <<EOF
%{_bindir}/corelist
%{_bindir}/cpan
%{_bindir}/enc2xs
%{_bindir}/h2ph
%{_bindir}/h2xs
%{_bindir}/instmodsh
%{_bindir}/json_pp
%{_bindir}/libnetcfg
%{_bindir}/piconv
%{_bindir}/pl2pm
%{_bindir}/pod2usage
%{_bindir}/podchecker
%{_bindir}/shasum
%{_bindir}/xsubpp
%{privlib}/Encode/encode.h
%{archlib}/CORE/EXTERN.h
%{archlib}/CORE/INTERN.h
%{archlib}/CORE/XSUB.h
%{archlib}/CORE/av.h
%{archlib}/CORE/cop.h
%{archlib}/CORE/cv.h
%{archlib}/CORE/dosish.h
%{archlib}/CORE/embed.h
%{archlib}/CORE/embedvar.h
%{archlib}/CORE/fakesdio.h
%{archlib}/CORE/form.h
%{archlib}/CORE/gv.h
%{archlib}/CORE/handy.h
%{archlib}/CORE/hv.h
%{archlib}/CORE/intrpvar.h
%{archlib}/CORE/iperlsys.h
%{archlib}/CORE/keywords.h
%{archlib}/CORE/malloc_ctl.h
%{archlib}/CORE/mg.h
%{archlib}/CORE/nostdio.h
%{archlib}/CORE/op.h
%{archlib}/CORE/opcode.h
%{archlib}/CORE/opnames.h
%{archlib}/CORE/overload.h
%{archlib}/CORE/pad.h
%{archlib}/CORE/parser.h
%{archlib}/CORE/patchlevel.h
%{archlib}/CORE/perlapi.h
%{archlib}/CORE/perlio.h
%{archlib}/CORE/perliol.h
%{archlib}/CORE/perlsdio.h
%{archlib}/CORE/perlvars.h
%{archlib}/CORE/perly.h
%{archlib}/CORE/pp.h
%{archlib}/CORE/pp_proto.h
%{archlib}/CORE/proto.h
%{archlib}/CORE/reentr.h
%{archlib}/CORE/regcharclass.h
%{archlib}/CORE/regcomp.h
%{archlib}/CORE/regexp.h
%{archlib}/CORE/regnodes.h
%{archlib}/CORE/scope.h
%{archlib}/CORE/sv.h
%{archlib}/CORE/thread.h
%{archlib}/CORE/unixish.h
%{archlib}/CORE/utf8.h
%{archlib}/CORE/utfebcdic.h
%{archlib}/CORE/util.h
%{archlib}/CORE/uudmap.h
%{archlib}/CORE/warnings.h
EOF

   cat > perl-doc.list <<EOF
%{_bindir}/perldoc
%{_mandir}/man3pm/Pod::Perldoc*
EOF

   rel_mandir=`echo %{_mandir} | sed "s,/,,"`
   (cd $RPM_BUILD_ROOT ; find ./%archlib "(" -name "*.pod" -o -iname "Changes*" -o -iname "ChangeLog*" -o -iname "README*" ")" -a -not -name perldiag.pod -printf "%%%%doc /%%p\n") >> perl-doc.list
   (cd $RPM_BUILD_ROOT ; find ./%privlib "(" -name "*.pod" -o -iname "Changes*" -o -iname "ChangeLog*" -o -iname "README*" ")" -a -not -name perldiag.pod -printf "%%%%doc /%%p\n") >> perl-doc.list
   (cd $RPM_BUILD_ROOT ; find $rel_mandir/man1 ! -name "perlivp.1*" ! -type d -printf "/%%p\n") >> perl.list
   (cd $RPM_BUILD_ROOT ; find $rel_mandir/man3pm ! -type d ! -name "Pod::Perldoc*" -printf "/%%p\n") >> perl.list
   (cd $RPM_BUILD_ROOT ; find ./%privlib ! -type d -printf "/%%p\n") >> perl.list
   (cd $RPM_BUILD_ROOT ; find ./%archlib ! -type d -printf "/%%p\n") >> perl.list
   (cd $RPM_BUILD_ROOT ; find ./%privlib -type d -printf "%%%%dir /%%p\n") >> perl.list
   (cd $RPM_BUILD_ROOT ; find ./%archlib -type d -printf "%%%%dir /%%p\n") >> perl.list
   sed -i 's!/\./!!' perl.list
   sed -i 's!^%doc /\./!%doc !' perl-doc.list

   perl -ni -e 'BEGIN { open F, "perl-base.list"; $s{$_} = 1 foreach <F>; use Data::Dumper; warn Dumper(\%s) } print unless $s{$_}' perl.list 2>S.pm
   perl -ni -e 'BEGIN { open F, "perl-devel.list"; $s{$_} = 1 foreach <F>; } print unless $s{$_}' perl.list
   perl -ni -e 'BEGIN { open F, "perl-doc.list"; s/^.doc //, $s{$_} = 1 foreach <F>; } print unless $s{$_}' perl.list
)

# lib/perl5db.t will fail if Term::ReadLine::Gnu is available
%check
%if %{with test}
%{new_perl} -I/lib regen/lib_cleanup.pl
pushd t
%{new_perl} -I../lib porting/customized.t --regen
popd
# (tv) fix test working locally but failing on BS:
rm -f t/io/nargv.t
perl -pi -e 'undef $_ if /nargv/' MANIFEST
%if %{parallel_tests}
JOBS=$(printf '%%s' "%{?_smp_mflags}" | sed 's/.*-j\([0-9][0-9]*\).*/\1/')
LC_ALL=C TEST_JOBS=$JOBS make test_harness
%else
    LC_ALL=C make test_harness
%endif
%endif

%files -f perl.list

%files base -f perl-base.list
%{_rpmconfigdir}/macros.d/macros.perl
%{_libdir}/libperl.so.*

%files devel -f perl-devel.list
%{_libdir}/libperl.so
%if %{with perl_enables_systemtap}
%dir %{_datadir}/systemtap
%dir %{_datadir}/systemtap/tapset
%{tapsetdir}/%{libperl_stp}
%doc perl-example.stp
%endif

%files doc -f perl-doc.list



%changelog
* Thu Jun 20 2024 tv <tv> 2:5.40.0-1.mga10
+ Revision: 2075788
- 5.40.0 bump (see <https://metacpan.org/release/HAARG/perl-5.40.0/view/pod/perldelta.pod)

* Fri Apr 05 2024 tv <tv> 2:5.38.2-3.mga10
+ Revision: 2054525
- Update Compress::Raw::Zlib for improved compatibility with zlib-ng

* Thu Apr 04 2024 wally <wally> 2:5.38.2-2.mga10
+ Revision: 2054309
- rebuild for i686

* Fri Dec 15 2023 tv <tv> 2:5.38.2-1.mga10
+ Revision: 2018226
- 5.38.2 (see <https://metacpan.org/release/PEVANS/perl-5.38.2/view/pod/perldelta.pod>)

* Sun Nov 26 2023 tv <tv> 2:5.38.0-2.mga10
+ Revision: 2009935
- Rebuild with BS after semi-manual rebuild for perl-5.38

* Tue Nov 14 2023 tv <tv> 2:5.38.0-1.mga10
+ Revision: 2006707
- 5.38.0 bump
  See <https://metacpan.org/pod/release/RJBS/perl-5.38.0/pod/perldelta.pod>

* Thu Jun 02 2022 tv <tv> 2:5.36.0-1.mga9
+ Revision: 1861066
- Move IO::Socket::Unix into perl-base so that it does not depents on perl
- Remove deps on "perl > 5" from perl-base which defeats its purpose
- 5.36.0 bump (see <https://metacpan.org/pod/release/RJBS/perl-5.36.0/pod/perldelta.pod>
  or release notes)

* Wed Mar 16 2022 tv <tv> 2:5.34.1-1.mga9
+ Revision: 1794727
- 5.34.1 bump

* Tue Nov 30 2021 tv <tv> 2:5.34.0-6.mga9
+ Revision: 1760139
- No more unistd-common.h on arm

* Tue Nov 30 2021 tv <tv> 2:5.34.0-5.mga9
+ Revision: 1760111
- Rebuild for arm

* Fri Nov 26 2021 neoclust <neoclust> 2:5.34.0-4.mga9
+ Revision: 1759342
- Add P2000: Fixes CVE-2021-36770 (mga#29352)

* Fri Oct 29 2021 tv <tv> 2:5.34.0-3.mga9
+ Revision: 1753230
- Disable t/io/nargv.t on BS
- Disable parallel testsuite in order to try to fix it on BS
- Make it gdbm 1.20 ready
- Disable NDBM support too as it's provided by gdbm package

* Mon May 24 2021 tmb <tmb> 2:5.34.0-2.mga9
+ Revision: 1726212
- rebuild post bootstrap

* Sun May 23 2021 tv <tv> 2:5.34.0-1.mga9
+ Revision: 1726158
- 5.34.0 bump (see <https://metacpan.org/pod/release/XSAWYERX/perl-5.34.0/pod/perldelta.pod>
  or release notes)

* Tue Apr 27 2021 pterjan <pterjan> 2:5.32.1-5.mga9
+ Revision: 1720147
- Rebuild to hopefully help with gcc commands name change

* Fri Apr 02 2021 tv <tv> 2:5.32.1-4.mga9
+ Revision: 1712548
- Fix dumping a hash entry of PL_strtab type
- Fix an arithmetic left shift of a minimal integer value (GH#18639)

* Tue Mar 09 2021 tv <tv> 2:5.32.1-3.mga9
+ Revision: 1700866
- Protect locale tests from LANGUAGE environment variable
- Prevent the number of buckets in a hash from getting too large
- Fix a memory leak when compiling a regular expression (GH#18604)

* Fri Feb 26 2021 tv <tv> 2:5.32.1-2.mga9
+ Revision: 1692220
- Make accessing environment by DynaLoader thread-safe
- Use duplocale() if available
- Fix fc() in Turkish locale
- Fix croaking on "my $_" when "use utf8" is in effect (GH#18449)
- Fix PERL_UNUSED_ARG() definition in XSUB.h
- Add missing entries to perldiag (GH#18276)

* Fri Jan 29 2021 tv <tv> 2:5.32.1-1.mga8
+ Revision: 1673952
- 5.32.1 bump (see <https://metacpan.org/pod/release/SHAY/perl-5.32.1/pod/perldelta.pod>
  or release notes)

* Thu Dec 17 2020 tv <tv> 2:5.32.0-10.mga8
+ Revision: 1660199
- rebuild with new glibc in order to stop forcing libnsl on programs trying to link with -lperl

* Fri Nov 20 2020 tv <tv> 2:5.32.0-9.mga8
+ Revision: 1647899
- Fix a crash in optimizing split() (GH#18232)
- reapply "USE_MM_LD_RUN_PATH" (temporary disabled in 5.32.0-RC0)
- remove useless & unapplied fix-LD_RUN_PATH-for-MakeMaker.patch which dates back from Aug 2000
- replace patchlevel patch by a call to patchlevel.h
- drop incversion patch (no more uneeded since 5.28.0-0.2.mga7)

* Thu Nov 12 2020 tv <tv> 2:5.32.0-8.mga8
+ Revision: 1644850
- drop the patch disabling some tests with iurt as they are now passing
- Fix un undefined behavior in Perl_custom_op_get_field()
- Fix Config variable names in in t/op tests
- Fix fetching a magic on the stacked file test operators

* Wed Nov 11 2020 tv <tv> 2:5.32.0-7.mga8
+ Revision: 1644435
- use perl patch for lib64 which is more generic (eg: aarch64 support)
- no need to rebuild perl for testsuite
- fix & reenable %%check

* Wed Oct 14 2020 tv <tv> 2:5.32.0-6.mga8
+ Revision: 1635955
- Fix sv_collxfrm macro to respect locale
- Fix an iterator signedness in handling a mro exception (GH#18155)
- Fix a code flow in Perl_sv_inc_nomg()

* Thu Sep 24 2020 tv <tv> 2:5.32.0-5.mga8
+ Revision: 1629781
- Fix a buffer overflow when compiling a regular expression with a bracketed
  character class with a white space
- Fix a mismatch with the recursive subpatterns (GH#18096)

* Thu Aug 27 2020 tv <tv> 2:5.32.0-4.mga8
+ Revision: 1619258
- Fix inheritance resolution of lexical objects in a debugger (GH#17661)
- Fix a misoptimization when assigning a list in a list context (GH#17816)
- Fix handling left-hand-side undef when assigning a list (GH#16685)
- Fix a memory leak when compiling a long regular expression (GH#18054)
- Fix handling exceptions in a global destruction (GH#18063)
- Fix sorting with a block that calls return (GH#18081)

* Sun Aug 09 2020 tv <tv> 2:5.32.0-3.mga8
+ Revision: 1612237
- Actually pass the correct CFLAGS to dtrace
- Do not use a C compiler reserved identifiers
- Fix an IO::Handle spurious error reported for regular file handles (GH#18019)
- Fix SvUV_nomg() macro definition
- Fix SvTRUE() documentation
- Fix ext/XS-APItest/t/utf8_warn_base.pl tests
- Fix IO::Handle::error() to report write errors (GH#6799)
- Fix a link to Unicode Technical Standard #18 (GH#17881)
- Fix setting a non-blocking mode in IO::Socket::UNIX (GH#17787)
- Fix running actions after stepping in a debugger (GH#17901)
- Fix a buffer size for asctime_r() and ctime_r() functions
- Prevent from an integer overflow in RenewDouble() macro
- Fix a buffer overread in when reallocating formats (GH#17844)
- Fix a number of arguments passed to a BOOT XS subroutine (GH#17755)
- do not package File::Spec::VMS

* Mon Jun 22 2020 tv <tv> 2:5.32.0-2.mga8
+ Revision: 1598514
- BR bzip2-devel + zlib-devel
- typo fix + kill old comment
- no need to tell that csh exists
- kill doble sitelib/arch
- use system bzip2 library
- Configure Compress::Zlib to use system zlib

* Sun Jun 21 2020 shlomif <shlomif> 2:5.32.0-1.mga8
+ Revision: 1598236
- New version 5.32.0

* Tue Jun 16 2020 pterjan <pterjan> 2:5.32.0-0.3.mga8
+ Revision: 1593794
- Clean rebuild

* Mon Jun 08 2020 tv <tv> 2:5.32.0-0.2.mga8
+ Revision: 1590921
- 5.32.0 RC1
  See https://metacpan.org/pod/release/XSAWYERX/perl-5.32.0-RC1/pod/perldelta.pod

* Tue Jun 02 2020 tv <tv> 2:5.32.0-0.1.mga8
+ Revision: 1589698
- 5.32.0-RC0
  See https://metacpan.org/pod/release/XSAWYERX/perl-5.32.0-RC0/pod/perldelta.pod

* Tue Jun 02 2020 tv <tv> 2:5.30.3-3.mga8
+ Revision: 1589682
- 5.30.3 (see <https://metacpan.org/pod/release/XSAWYERX/perl-5.30.3/pod/perldelta.pod>
  for release notes)
- Security release fixes CVE-2020-10543, CVE-2020-10878 and CVE-2020-12723
- add bug ID
+ danf <danf>
- Switch URLs from http: to https:

* Fri Mar 27 2020 tv <tv> 2:5.30.2-3.mga8
+ Revision: 1561279
- Work around a glibc bug in caching LC_MESSAGES (GH#17081)
- Fix POSIX:setlocale() documentation
- Prevent from an integer overflow in POSIX::SigSet()
- Fix thread-safety of IO::Handle (GH#14816)
- Close :unix PerlIO layers properly (rhbz#987118)
- Fix sorting tied arrays (GH#17496)
- Fix a spurious warning about a multidimensional syntax (GH#16535)
- Fix a warning about an uninitialized value in B::Deparse (GH#17537)

* Mon Mar 16 2020 tv <tv> 2:5.30.2-2.mga8
+ Revision: 1556948
- clean up more now useless deps filtering
- remove manual provides that duplicate automatic ones
- Fix memory handling when parsing string literals
- clean up deps filtering + add one more provides to workaround
- remove uneeded workarounds

* Sun Mar 15 2020 shlomif <shlomif> 2:5.30.2-1.mga8
+ Revision: 1556497
- Update to version 5.30.2.
  There are some spec helpers' disablings assignments there due to a perl
  version mismatch.
  Tested to be fine locally (x86-64 mageia v8).

* Sat Feb 29 2020 tv <tv> 2:5.30.1-5.mga8
+ Revision: 1552357
- drop old mga6 compat entries from INC
- added an example systemtap script
- added systemtap tapset to make use of systemtap-sdt-devel
- run Configure with -Dusedtrace for systemtap support

* Tue Feb 18 2020 umeabot <umeabot> 2:5.30.1-4.mga8
+ Revision: 1539073
- Mageia 8 Mass Rebuild

* Fri Nov 29 2019 tv <tv> 2:5.30.1-3.mga8
+ Revision: 1463776
- Fix a memory leak when compiling a regular expression with a non-word class
  (GH#17218)

* Tue Nov 12 2019 tv <tv> 2:5.30.1-2.mga8
+ Revision: 1459654
- Fix overloading for binary and octal floats (RT#125557)
- Fix handling undefined array members in Dumpvalue (RT#134441)
- Fix taint mode documentation regarding @INC
- Fix handling a layer argument in Tie::StdHandle::BINMODE() (RT#132475)
- Fix an unintended upgrade to UTF-8 in the middle of a transliteration
- Fix a race in File::stat() tests (GH#17234)
- Fix a buffer overread when parsing a number (GH#17279)
- Fix GCC 10 version detection (GH#17295)

* Mon Nov 11 2019 tv <tv> 2:5.30.1-1.mga8
+ Revision: 1459328
- 5.30.1 bump (see <https://metacpan.org/pod/release/SHAY/perl-5.30.1/pod/perldelta.pod>
  for release notes)

* Thu Sep 12 2019 tv <tv> 2:5.30.0-10.mga8
+ Revision: 1439933
- Fix a memory leak when matching a UTF-8 regular expression (RT#134390)
- Fix a detection for futimes (RT#134432)

* Mon Sep 02 2019 tv <tv> 2:5.30.0-9.mga8
+ Revision: 1436401
- actually apply patches 10 & 12
- Fix parsing a Unicode property name when compiling a regular expression
- Fix a buffer overread when parsing a Unicode property while compiling
  a regular expression (RT#134133)
- Do not interpret 0x and 0b prefixes when numifying strings (RT#134230)
- Fix a buffer overread when compiling a regular expression with many escapes
  (RT#134325)
- Fix a buffer overflow when compiling a regular expression with many branches
  (RT#134329)
- Correct a misspelling in perlrebackslash documentation (RT#134395)

* Sat Aug 31 2019 tv <tv> 2:5.30.0-8.mga8
+ Revision: 1435952
- Define %%perl_vendor*, %%perl_archlib, %%perl_privlib, because in rpm 4.15
  those are no longer defined
- Remove invalid macro definitions from macros.perl
  These two lines are trying to redefine macro named "global", which is
  obviously wrong, but additionally the thing they're *trying* to do is also
  wrong in rpm >= 4.9 world, so best just remove them.

* Wed Aug 28 2019 tv <tv> 2:5.30.0-7.mga8
+ Revision: 1434716
- actually apply patch 5
- patch 4: USE_MM_LD_RUN_PATH

* Tue Aug 27 2019 tv <tv> 2:5.30.0-6.mga8
+ Revision: 1433273
- Provide maybe_command independently (rhbz#1129443)

* Mon Aug 26 2019 tv <tv> 2:5.30.0-5.mga8
+ Revision: 1432465
- rebuild on BS (for missing signature)

* Mon Aug 26 2019 tv <tv> 2:5.30.0-4.mga8
+ Revision: 1432305
- Fix a NULL pointer dereference in PerlIOVia_pushed()
- Fix a crash when setting $@ on unwinding a call stack (RT#134266)
- Fix parsing a denominator when parsing a Unicode property name
- Fix a documentation about a future API change
- Do not run File-Find tests in parallel

* Fri Aug 09 2019 tv <tv> 2:5.30.0-3.mga8
+ Revision: 1428411
- Fix propagating non-string variables in an exception value (RT#134291)
- Include trailing zero in scalars holding trie data (RT#134207)
- Fix a use after free in /(?{...})/ (RT#134208)
- Fix a use after free in debugging output of a collation
- Fix file mode of a perl-example.stp example

* Thu Jul 25 2019 tv <tv> 2:5.30.0-2.mga8
+ Revision: 1423951
- Fix a test for a crash in SIGALARM handler when waiting on a child process to
  be closed (RT#122112)
- Fix a crash on an uninitialized warning when processing a multideref node
  (RT#134275)
- Preserve append mode when opening anonymous files (RT#134221)

* Sun Jun 30 2019 tv <tv> 2:5.30.0-1.mga8
+ Revision: 1416374
- 5.30.0 bump (see <https://metacpan.org/pod/release/XSAWYERX/perl-5.30.0/pod/perldelta.pod>
  for release notes)
- Fix an out-of-buffer read while parsing a Unicode property name (RT#134134)
- Do not panic when outputting a warning (RT#134059)
- Fix memory handling when parsing string literals
- Fix an undefined behavior in shifting IV variables
- Fix stacking file test operators (CPAN RT#127073)
- Fix a crash in SIGALARM handler when waiting on a child process to be closed
  (RT#122112)
- Fix a crash with a negative precision in sprintf function (RT#134008)
- Fix an erroneous assertion on OP_SCALAR (RT#134048)
- Prevent from wrapping a width in a numeric format string (RT#133913)
- Fix subroutine protypes to track reference aliases (RT#134072)
- Improve retrieving a scalar value of a variable modified in a signal handler
  (RT#134035)
- Fix changing packet destination sent from a UDP IO::Socket object (RT#133936)
- Fix a stack underflow in readline() if passed an empty array as an argument
  (#RT133989)
- Fix setting supplementar group IDs (RT#134169)
- Fix %%{^CAPTURE_ALL} to be an alias for %%- variable (RT#131867)
- Fix %%{^CAPTURE} value when used after @{^CAPTURE} (RT#134193)
- Define %%perl_vendor*, %%perl_archlib, %%perl_privlib, because in rpm
  4.15 those are no longer defined
- Make site paths specific to Perl minor version (e.g.
  /usr/local/share/perl5/5.30) to prevent from an ABI clash after upgrade
  to an ABI-incompatible Perl

* Tue Apr 23 2019 tv <tv> 2:5.28.2-1.mga7
+ Revision: 1395029
- 5.28.2 bump (see https://metacpan.org/pod/release/SHAY/perl-5.28.2/pod/perldelta.pod
  for release notes)

* Wed Apr 10 2019 tv <tv> 2:5.28.1-6.mga7
+ Revision: 1388114
- Fix a leak when compiling a typed hash dereference
- Fix a buffer overread when handling a scope error in qr/\(?{/ (RT#133879)
- Fix a buffer overread when parsing a regular expression with an unknown
  character name (RT#133880)
- Fix mbstate_t initialization in POSIX::mblen (RT#133928)
- Fix a memory leak when cloning a regular expression
- Fix a memory leak when spawning threads in a BEGIN phase
- Fix a memory leak when assigning a regular expression to a non-copy-on-write string
- Fix a memory leak when assigning to a localized ${^WARNING_BITS}
- Fix a memory leak when parsing misindented here-documents
- Fix a memory leak in package name lookup (RT#133977)
- Fix a memory leak when deletion in a tied hash dies
- Fix a crash when matching case insensitively (RT#133892)
- Fix a memory leak when warning about malformed UTF-8 string

* Tue Feb 26 2019 tv <tv> 2:5.28.1-5.mga7
+ Revision: 1370257
- remove -64int from INC (this was a temp cauldron path issue on 32bit with
  perl-5.24/26 but all perl modules have been rebuilt since)

* Tue Feb 26 2019 tv <tv> 2:5.28.1-4.mga7
+ Revision: 1370232
- Fix a crash when parsing #line directives with large numbers in eval
  (RT#131562)
- Fix setting magic when changing $^R (RT#133782)
- Fix a race when loading XS modules
- Fix extending a stack in Perl parser (RT#133778)

* Wed Jan 16 2019 tv <tv> 2:5.28.1-3.mga7
+ Revision: 1357448
- Adjust tests to gdbm-1.15 using an upstream fix (RT#133295)
- Do not close an IPC pipe that already has a desired descriptor (RT#133726)
- Fix reporting a line number for non-terminated prototypes (RT#133524)
- Fix first eof() return value (RT#133721)
- Fix a crash when compiling a malformed form (RT#132158)
- Prevent long jumps from clobbering local variables (RT#133575)
- Fix a mismatch with a case-insesitive regular expression on a text with ligatures
  (RT#133756)

* Fri Dec 07 2018 tv <tv> 2:5.28.1-2.mga7
+ Revision: 1338778
- Fix script run matching to allow ASCII digits in scripts that use their own in
  addition (RT#133547)
- Fix PathTools tests to cope with ESTALE error (RT#133534)
- Fix an undefined behaviour in S_hv_delete_common()
- Fix in-place edit to replace files on a successful perl exit status
  (bug #1650041)
- Fix compiling regular expressions that contain both compile- and run-time
  compiled code blocks (RT#133687)
- Really apply fix upack "u" of invalid data, RT#132655, in upstream after 5.29.2

* Sun Dec 02 2018 tv <tv> 2:5.28.1-1.mga7
+ Revision: 1337575
- 5.28.1
- explain base subpkg more

* Mon Nov 26 2018 tv <tv> 2:5.28.0-6.mga7
+ Revision: 1335304
- move ExtUtils::MakeMaker into perl-base (smaller minimal install)
  (for Time::HiRes, related to: mga#23894)

* Wed Oct 03 2018 tv <tv> 2:5.28.0-5.mga7
+ Revision: 1316070
- Fix upack "u" of invalid data (RT#132655)

* Mon Sep 17 2018 tv <tv> 2:5.28.0-4.mga7
+ Revision: 1259292
- Revert a fix for a buffer overrun in deprecated S_is_utf8_common()
  (rhbz#1627091)

* Thu Sep 06 2018 tv <tv> 2:5.28.0-3.mga7
+ Revision: 1257454
- Fix a buffer overrun in deprecated S_is_utf8_common()
- Fix a buffer overrun in deprecated utf8_to_uvchr()
- Fix a time race in Time-HiRes/t/itimer.t test
- Fix matching an ASCII digit followed by a non-ASCII digit using a script run
- Fix Time::Piece to handle objects in overloaded methods correctly
- Fix an assignment to a lexical variable in multiconcatenation expressions
  (RT#133441)
- Fix a spurious warning about uninitialized value in warn (RT#132683)

* Sat Aug 18 2018 pterjan <pterjan> 2:5.28.0-2.mga7
+ Revision: 1252431
- Move some missing files into perl-base on armv7hl
+ tv <tv>
- remove no more needed -Dperllibs thx to patch14
- remove 64int hack now that we moved perl stuff -- only archname shows "-64int"

* Sun Aug 05 2018 tmb <tmb> 2:5.28.0-1.mga7
+ Revision: 1247841
- rebuild for missing signatures

* Thu Aug 02 2018 tv <tv> 2:5.28.0-0.3.mga7
+ Revision: 1246853
- fix unapplied patches
- Fix a file descriptor leak in in-place edits (RT#133314)

* Thu Aug 02 2018 tv <tv> 2:5.28.0-0.2.mga7
+ Revision: 1246850
- switch to /usr/share/perl & /usr/LIB/perl5 w/o version & arch like FC
  (implement compatibility measures for a short transition period)
- adjust perl-base/perl filtering accordingly
- set shrpdir to where we install libperl.so
- load modules from 5.26.2 too
- new release
- drop merged patches
- sync patches with FC
- fix requires on \\s
- renumber patches like in FC's perl-5.28
- drop CORO fix, uneeded

* Thu Jul 26 2018 pterjan <pterjan> 2:5.26.2-10.mga7
+ Revision: 1245449
- Add more missing files into perl-base on aarch64

* Sun Jun 17 2018 luigiwalser <luigiwalser> 2:5.26.2-9.mga7
+ Revision: 1237488
- rebuild for gdbm

* Sat Jun 02 2018 pterjan <pterjan> 2:5.26.2-8.mga7
+ Revision: 1233736
- Add a missing file in perl-base on aarch64

* Sun May 27 2018 tv <tv> 2:5.26.2-7.mga7
+ Revision: 1232379
- Fix an infinite loop in the regular expression compiler (RT#133185)

* Sat May 26 2018 tmb <tmb> 2:5.26.2-6.mga7
+ Revision: 1232345
- rebuild for new glibc

* Wed May 16 2018 tv <tv> 2:5.26.2-5.mga7
+ Revision: 1229866
- rebuild for new glibc (no more xlocale.h)

* Sat May 12 2018 tv <tv> 2:5.26.2-4.mga7
+ Revision: 1228532
- Do not clobber file bytes in :encoding layer (RT#132833)
- Fix line numbers in multi-line s/// (RT#131930)
- Fix parsing extended bracketed character classes (RT#132167)
- Fix a possibly unitialized memory read in the Perl parser (RT#133074)

* Mon Apr 16 2018 shlomif <shlomif> 2:5.26.2-3.mga7
+ Revision: 1219372
- try fix 32bit platforms

* Mon Apr 16 2018 shlomif <shlomif> 2:5.26.2-2.mga7
+ Revision: 1219367
- bump rel for rebuild

* Sun Apr 15 2018 shlomif <shlomif> 2:5.26.2-1.mga7
+ Revision: 1218896
- New version 5.26.2

* Wed Feb 07 2018 tv <tv> 2:5.26.1-3.mga7
+ Revision: 1199432
- Add patch to conditionalize a fix for an old and long fixed bug
  in libcrypt / glibc (rhbz#1536752)
- Link XS modules to pthread library to fix linking with -z defs
- Fix parsing braced subscript after parentheses (RT#8045)
- Fix a heap use after free when moving a stack (RT#131954)

* Thu Jan 18 2018 tv <tv> 2:5.26.1-2.mga7
+ Revision: 1194454
- Fix an overflow in the lexer when reading a new line (RT#131793)
- Fix Term::ReadLine not to create spurious &STDERR files (RT#132008)
- Fix a crash when a match for inversely repeated group fails (RT#132017)
- Fix an overflow when parsing a character range with no preceding character
  (RT#132245)
- Fix walking symbol table for ISA in Carp
- Fix handling file names with null bytes in (l)stat functions (RT#131895)
- Fix a crash when untying an object witout a stash
- Fix deparsing of transliterations with unprintable characters (RT#132405)
- Fix error reporting on do() on a directory (RT#125774)
- Fix stack manipulation when a lexical subroutine is defined in a do block in
  a member of an iteration list (RT#132442)
- Fix setting $! when statting a closed filehandle (RT#108288)
- Fix tainting of s/// with overloaded replacement (RT#115266)
- Expand system() arguments before a fork (RT#121105)
- Avoid undefined behavior when copying memory in Glob and pp_caller (RT#131746)

* Wed Sep 27 2017 tv <tv> 2:5.26.1-1.mga7
+ Revision: 1160665
- Make *DBM_File desctructors thread-safe (rhbz#1107543, RT#61912)
- 5.26.1 final
- reapply rediff ed patches 43 & 54

* Tue Sep 19 2017 tv <tv> 2:5.26.1-0.4.mga7
+ Revision: 1155409
- submit to core/release

* Mon Sep 18 2017 tv <tv> 2:5.26.1-0.3.mga7
+ Revision: 1155289
- get rid of -64int suffix on 32bit arch
- special case: look for -64int for 5.26.0 on 32bit

* Mon Sep 18 2017 tv <tv> 2:5.26.1-0.2.mga7
+ Revision: 1155180
- add 5.26.0 to search list
- new release

* Wed Aug 30 2017 neoclust <neoclust> 2:5.26.0-9.mga7
+ Revision: 1148466
- Rebuild on the BS

* Sat Aug 26 2017 tv <tv> 2:5.26.0-8.mga7
+ Revision: 1147909
- disable debugging (mga#21441)
- default to 64bit integer on 32bit

* Fri Aug 25 2017 tv <tv> 2:5.26.0-7.mga7
+ Revision: 1147733
- heap-use-after-free in pp_rv2sv, from asan fuzzing (RT#130861)
- heap-buffer-overflow (READ of size 1) in Perl_my_atof2() (RT#131526)
- Assert fail in vutil.c with very large version numbers in warnings (RT#128207)
- s// on utf8 string occasionally crashes with "Malformed UTF-8 character" (RT#131575)
- Fix multideref for $x{qw/a/->$*} (RT#131627)
- don't skip the temps stack entry we just allocated (RT#131570)
- ensure the GV slot is filled for our [%%$@]foo: attr (RT#131597)
- extend stack in scalar-context pp_list when no args (RT#131627)
- add X<s> to s/// in perlop (RT#131371)
- UTF8 code improperly casting negative integer to U8 in comparison (RT#131190)
- various module updates from maint-5.26

* Tue Aug 22 2017 tv <tv> 2:5.26.0-6.mga7
+ Revision: 1142933
- Fix unreliable Time-HiRes tests (CPAN RT#122819)
- Fix reporting malformed UTF-8 character (RT#131646)
- Fix File::Glob rt131211.t test random failures
- Fix t/op/hash.t test random failures
- Parse caret variables with subscripts as normal variables inside ${...}
  escaping (RT#131664)
- Do not display too many bytes when reporting malformed UTF-8 character
- Fix select called with a repeated magical variable (RT#131645)
- Fix error message for "our sub foo::bar" (RT#131679)
- Fix executing arybase::_tie_it() in Safe compartement (RT#131588)
- Fix handling attribute specification on our variables (RT#131597)
- Fix splitting non-ASCII strings if unicode_strings feature is enabled (RT#130907)
- Fix compiler warnings in code generated by ExtUtils::Constant
  (CPAN RT#63832, CPAN RT#101487)
- Fix GCC version detection for -D_FORTIFY_SOURCE override (RT#131809)

* Mon Aug 07 2017 pterjan <pterjan> 2:5.26.0-5.mga7
+ Revision: 1138294
- Rebuild to have packages signed
+ neoclust <neoclust>
- Disable again debugging for the moment

* Sun Aug 06 2017 tv <tv> 2:5.26.0-4.mga7
+ Revision: 1138034
- disable debugging (mga#21441)
- do not enable int64 by default on 32bit yet
- fix installing with -Duse64bitint
- Store distribution's linker and compiler flags to more Config's options
  in order to apply them when linking executable programs (bug #1238804)
- use the proper way to disable --no-undefined
- Use 64 bit ints on 32 bit platforms (rhbz#1268828)

* Thu Jul 20 2017 tv <tv> 2:5.26.0-2.mga7
+ Revision: 1125441
- add fixes from FC

* Wed Jul 19 2017 tv <tv> 2:5.26.0-1.mga7
+ Revision: 1125225
- update file list
- new release

* Tue Jun 06 2017 shlomif <shlomif> 2:5.22.3-3.mga6
+ Revision: 1107132
- Fix for MGA#19051 / CVE-2017-6512 - File::Path .
- Thanks to Debian.

* Wed Apr 26 2017 neoclust <neoclust> 2:5.22.3-2.mga6
+ Revision: 1097427
- Add P1000 P1001 - Helps to fix CVE-2016-1238 (mga#19051)

* Tue Jan 31 2017 shlomif <shlomif> 2:5.22.3-1.mga6
+ Revision: 1084373
- New version - 5.22.3.
+ tv <tv>
- remove sparc64 patch

* Mon Oct 03 2016 daviddavid <daviddavid> 2:5.22.2-5.mga6
+ Revision: 1058268
- fix a dangling link (mga#18729)

* Thu Jul 07 2016 luigiwalser <luigiwalser> 2:5.22.2-4.mga6
+ Revision: 1039424
- add upstream patch to fix XSLoader loading library from directory not in INC

* Mon Jun 06 2016 tv <tv> 2:5.22.2-3.mga6
+ Revision: 1020420
- move overloading in perl-base too

* Mon Jun 06 2016 tv <tv> 2:5.22.2-2.mga6
+ Revision: 1020389
- unbloat default install: move some modules in perl-base:
  o perl(Net::POP3) for perl-Curses-UI
  o perl(IPC::Open2) for perl-Libconf
  o perl(IPC::Open3) for perl(IPC::Open2)
- unbloat default install: fix perl-base requiring perl...

* Tue May 03 2016 shlomif <shlomif> 2:5.22.2-1.mga6
+ Revision: 1008933
- New version 5.22.2.

* Fri Mar 04 2016 shlomif <shlomif> 2:5.22.1-3.mga6
+ Revision: 985585
- Security fix for MGA#17861.
- Thanks to BingOS from #p5p on irc.perl.org for some insights.

* Thu Jan 14 2016 luigiwalser <luigiwalser> 2:5.22.1-2.mga6
+ Revision: 923032
- add patch from rhbz#1293272 to fix CVE-2015-8607

* Wed Dec 16 2015 shlomif <shlomif> 2:5.22.1-1.mga6
+ Revision: 911003
- New version 5.22.1
+ tv <tv>
- fix build with a non soname-ifed perl

* Fri Aug 21 2015 tmb <tmb> 2:5.22.0-6.mga6
+ Revision: 867823
- rebuild for new gcc

* Thu Jul 02 2015 tv <tv> 2:5.22.0-5.mga6
+ Revision: 849595
- add 2 fixes enabling to build Coro
- remove libperl.so provides (the 3 remaining packages still requiring it do
  not actually build with perl-5.22)

* Sun Jun 28 2015 tv <tv> 2:5.22.0-4.mga6
+ Revision: 846712
- obsoletes perl-Math-BigInt-FastCalc
- simplify provides
- fix i586 provides

* Wed Jun 24 2015 tv <tv> 2:5.22.0-3.mga6
+ Revision: 842478
- provide a real soname (from FC)

* Tue Jun 23 2015 tmb <tmb> 2:5.22.0-2.mga6
+ Revision: 840379
- rebuild with buildsystem
+ shlomif <shlomif>
- New version - 5.22.0

* Tue Jan 06 2015 pterjan <pterjan> 2:5.20.1-8.mga5
+ Revision: 808871
- Add a patch from perl bug 123029 possibly fixing mga#13852

* Sun Oct 19 2014 pterjan <pterjan> 2:5.20.1-7.mga5
+ Revision: 791740
- Fix the patch to explude again docs

* Fri Oct 17 2014 tv <tv> 2:5.20.1-6.mga5
+ Revision: 780563
- do not exclude requires from META.* when using %%perl_default_filter

* Wed Oct 15 2014 umeabot <umeabot> 2:5.20.1-5.mga5
+ Revision: 740213
- Second Mageia 5 Mass Rebuild

* Mon Oct 06 2014 luigiwalser <luigiwalser> 2:5.20.1-4.mga5
+ Revision: 737198
- update bundled Data::Dumper to 2.154 to fix CVE-2014-4330

* Sat Sep 27 2014 tv <tv> 2:5.20.1-3.mga5
+ Revision: 725836
- rebuild for fixed provides

* Tue Sep 23 2014 tv <tv> 2:5.20.1-2.mga5
+ Revision: 720819
- add macros.perl from FC

* Tue Sep 23 2014 jquelin <jquelin> 2:5.20.1-1.mga5
+ Revision: 720549
- update to 5.20.1

* Tue Sep 23 2014 tv <tv> 2:5.20.0-9.mga5
+ Revision: 719639
- fix excludes

* Tue Sep 16 2014 umeabot <umeabot> 2:5.20.0-8.mga5
+ Revision: 683406
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Sep 13 2014 tv <tv> 2:5.20.0-7.mga5
+ Revision: 675160
- rename makefile b/c it breaks build (bogusly introduced in r635765 by jerome)
- prepare for internal deps generator (from FC + 2 more exceptions)
+ jquelin <jquelin>
- introducing Makefile to ease pkg rebuilding after major perl upgrade

* Fri Jun 06 2014 jquelin <jquelin> 2:5.20.0-6.mga5
+ Revision: 634167
- CPAN.pm being dual-lived, applying perl-CPAN patch here also

* Tue Jun 03 2014 jquelin <jquelin> 2:5.20.0-5.mga5
+ Revision: 632139
- perl 5.20.0 rebuild

* Tue Jun 03 2014 jquelin <jquelin> 2:5.20.0-4.mga5
+ Revision: 632138
- perl 5.20.0 rebuild

* Tue Jun 03 2014 jquelin <jquelin> 2:5.20.0-3.mga5
+ Revision: 632136
- perl 5.20.0 rebuild

* Mon Jun 02 2014 pterjan <pterjan> 2:5.20.0-2.mga5
+ Revision: 630700
- Rebuild cleanly
+ jquelin <jquelin>
- update to 5.20.0
+ guillomovitch <guillomovitch>
- add a conflict on perl-devel for smooth upgrade

* Thu Feb 06 2014 guillomovitch <guillomovitch> 2:5.18.2-4.mga5
+ Revision: 584486
- transfer /bin/prove from perl-devel to main package

* Tue Feb 04 2014 shlomif <shlomif> 2:5.18.2-3.mga5
+ Revision: 581933
- Missed an inc_version_list on 5.18.2

* Tue Feb 04 2014 tv <tv> 2:5.18.2-2.mga5
+ Revision: 581836
- update inc list

* Tue Feb 04 2014 tv <tv> 2:5.18.2-1.mga5
+ Revision: 581541
- new release

* Sat Oct 19 2013 umeabot <umeabot> 2:5.18.1-3.mga4
+ Revision: 533835
- Mageia 4 Mass Rebuild
+ tv <tv>
- make perl-devel suggests perl-CPANPLUS-Dist-Mageia for cpan2dist

* Sat Sep 07 2013 sander85 <sander85> 2:5.18.1-2.mga4
+ Revision: 475578
- Drop Module::Pluggable from core (separate package is providing it and the one in core is making tests to fail in other packages)

* Fri Aug 23 2013 tv <tv> 2:5.18.1-1.mga4
+ Revision: 469910
- new release

* Thu Aug 22 2013 kamil <kamil> 2:5.18.0-6.mga4
+ Revision: 469465
- Imporve a little bit portability of the .spec (clean-up)

* Tue Jun 18 2013 shlomif <shlomif> 2:5.18.0-5.mga4
+ Revision: 444674
- Remove old (and breaking) 0444->0644 patch.
  See #MGA 10449 ( https://bugs.mageia.org/show_bug.cgi?id=10449 ) - it caused
  the Module-Build-Tiny tests to fail.

* Tue Jun 18 2013 tv <tv> 2:5.18.0-4.mga4
+ Revision: 444589
- drop patch38 (obsolete since perl-5.9.5)

* Wed May 29 2013 jquelin <jquelin> 2:5.18.0-3.mga4
+ Revision: 431353
- force rebuild after perl 5.18 upgrade
- update to perl 5.18.0
+ shlomif <shlomif>
- Fix for test failure on i586

* Wed Mar 13 2013 jquelin <jquelin> 2:5.16.3-1.mga3
+ Revision: 402345
- forgot to add the new @INC
- update to 5.16.3

* Mon Feb 04 2013 jquelin <jquelin> 2:5.16.2-5.mga3
+ Revision: 394527
- fix Locale-Maketext CVE-2012-6329 (mga#8815)

* Sun Jan 13 2013 umeabot <umeabot> 2:5.16.2-4.mga3
+ Revision: 362755
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- perl 5.16.2 shebang rebuild

* Tue Nov 06 2012 jquelin <jquelin> 2:5.16.2-2.mga3
+ Revision: 314831
- get rid of legacy %%ifarch

* Mon Nov 05 2012 jquelin <jquelin> 2:5.16.2-1.mga3
+ Revision: 314423
- update to 5.16.2
- patch inlined as configure option (-Dperllib) to prevent patch
  creeping

* Tue Oct 16 2012 fwang <fwang> 2:5.16.1-8.mga3
+ Revision: 307034
- do not fail if it is not installed
- use hanextra for zh_CN.GB18030 promoted in mga3

* Thu Sep 20 2012 tv <tv> 2:5.16.1-7.mga3
+ Revision: 296295
- rebuild for missing x86_64 binaries

* Tue Sep 18 2012 jquelin <jquelin> 2:5.16.1-6.mga3
+ Revision: 295881
- update list of provides

* Fri Aug 24 2012 tv <tv> 2:5.16.1-5.mga3
+ Revision: 283511
- rebuild with fixed rpm-mageia-setup-build

* Fri Aug 24 2012 tv <tv> 2:5.16.1-4.mga3
+ Revision: 283498
- Provides: perlapi-5.16.0

* Fri Aug 24 2012 pterjan <pterjan> 2:5.16.1-3.mga3
+ Revision: 283393
- Provide /bin/perl
- Clean rebuild

* Thu Aug 23 2012 tv <tv> 2:5.16.1-2.mga3
+ Revision: 283354
- rebuild b/c find-provides insert perlapi provides depending on installed
  perl, not the one we currently build...

* Thu Aug 23 2012 jquelin <jquelin> 2:5.16.1-1.mga3
+ Revision: 283273
- remove files no more shipped
- update link patch to match perl 5.16.1
- update to perl 5.16.1

* Thu Aug 16 2012 jquelin <jquelin> 2:5.16.0-11.mga3
+ Revision: 281481
- provide perl(open) - mga#6907

* Fri Aug 03 2012 tv <tv> 2:5.16.0-10.mga3
+ Revision: 278316
- rebuild with compressed debug info

* Thu Aug 02 2012 tv <tv> 2:5.16.0-9.mga3
+ Revision: 277891
- rebuild with mini debug info

* Mon Jul 30 2012 tv <tv> 2:5.16.0-8.mga3
+ Revision: 276234
- rebuild for db-5.3
- drop 4 years old conflicts
- perlapi provides is automatic now

* Fri Jul 27 2012 fwang <fwang> 2:5.16.0-7.mga3
+ Revision: 274717
- use system default db libmajor

* Fri Jun 01 2012 tv <tv> 2:5.16.0-6.mga3
+ Revision: 252835
- conflict with perl-IO-Compress

* Fri Jun 01 2012 tv <tv> 2:5.16.0-5.mga3
+ Revision: 252787
- conflict with perl-Pod-Perldoc

* Thu May 31 2012 pterjan <pterjan> 2:5.16.0-4.mga3
+ Revision: 252545
- Fix one more conflict

* Thu May 31 2012 pterjan <pterjan> 2:5.16.0-3.mga3
+ Revision: 252543
- Make conflicts less stricts

* Thu May 31 2012 blino <blino> 2:5.16.0-2.mga3
+ Revision: 252542
- update conflicts with perl-Archive-Tar
+ jquelin <jquelin>
- update to perl 5.16
  to minimize differences to upstream, i did not remove any module.
  dual-lifed modules conflicting on a script will rename the script to
  version it (eg: /usr/bin/script-x.y.z)

* Fri Apr 20 2012 tv <tv> 2:5.14.2-7.mga2
+ Revision: 232117
- move some files from perl to perl-base in order to debloat minimal install
  (saves 10.35%% of mininmal install: 280->251Mo)

* Fri Mar 16 2012 anssi <anssi> 2:5.14.2-6.mga2
+ Revision: 223649
- bump perl-base versioned conflict on drakxtools-backend, as it didn't
  contain the proper perlapi requires until recently as per bug #3731
  (fixes possible non-added kernels and skipped initramfs regeneration
  on mga1->mga2 upgrade)

* Mon Dec 05 2011 fwang <fwang> 2:5.14.2-5.mga2
+ Revision: 176901
- rebuild for new gdbm

* Fri Nov 25 2011 fwang <fwang> 2:5.14.2-4.mga2
+ Revision: 171776
- fix linkage
+ jquelin <jquelin>
- see if new define is the bs problem
- installing /usr/bin/perl within configure

* Fri Oct 14 2011 jquelin <jquelin> 2:5.14.2-3.mga2
+ Revision: 155117
- perl 5.14.2 rebuild

* Fri Oct 14 2011 jquelin <jquelin> 2:5.14.2-2.mga2
+ Revision: 155116
- rebuild

* Fri Oct 14 2011 jquelin <jquelin> 2:5.14.2-1.mga2
+ Revision: 155097
- update to 5.14.2
- script to find package owning scripts with wrong shebang
+ fwang <fwang>
- promote ldflags also when building exts

* Sun Jun 19 2011 jquelin <jquelin> 2:5.14.1-1.mga2
+ Revision: 109798
- update to perl 5.14.1
+ tv <tv>
- make doc subpackage noarch

* Mon Jun 13 2011 jquelin <jquelin> 2:5.14.0-5.mga2
+ Revision: 105783
- make sure perl-JSON-PP is picked by urpmi in the same transaction

* Mon Jun 13 2011 jquelin <jquelin> 2:5.14.0-4.mga2
+ Revision: 105756
- adding some conflicts with modules known to be perl 5.14 incompatible

* Sun Jun 12 2011 jquelin <jquelin> 2:5.14.0-3.mga2
+ Revision: 104268
- fixing conflict with perl-Digest-SHA
- perl 5.14 rebuild
- try to fix eumm cflags overriding
- fixing last remaining errors
- preparation to migrate to 5.14.0
- prep works fine (patch updated or dropped if merged upstream)
- build works fine
- all test work but 1: number 7 in t/porting/regen.t
  i did not manage to get a shell access with iurt, so i didn't have the
  chance to investigate further. i(m giving it up currently. in worst
  case, i think that skipping this test is not that big a deal.

* Mon May 16 2011 jquelin <jquelin> 2:5.12.3-4.mga1
+ Revision: 99222
- fix bug#1300 lc/uc bypass taint (cve 2011-1487)

* Thu Feb 17 2011 jquelin <jquelin> 2:5.12.3-3.mga1
+ Revision: 52901
+ rebuild (emptylog)

* Wed Feb 16 2011 jquelin <jquelin> 2:5.12.3-2.mga1
+ Revision: 52702
- forgot to add previous arch @inc

* Wed Feb 16 2011 jquelin <jquelin> 2:5.12.3-1.mga1
+ Revision: 52620
- update to 5.12.3

* Wed Feb 16 2011 jquelin <jquelin> 2:5.12.2-11.mga1
+ Revision: 52448
- adding missing provides:

* Mon Jan 31 2011 jquelin <jquelin> 2:5.12.2-10.mga1
+ Revision: 45158
- install man pages from core modules in section 3pm, to avoid conflict with standalone versions of the same modules

* Wed Jan 26 2011 jquelin <jquelin> 2:5.12.2-9.mga1
+ Revision: 40024
- adding missing provides:

* Tue Jan 25 2011 jquelin <jquelin> 2:5.12.2-8.mga1
+ Revision: 38277
- adding missing provides:

* Tue Jan 18 2011 blino <blino> 2:5.12.2-7.mga1
+ Revision: 23248
- rebuild
- revert incorrect import

* Mon Jan 10 2011 jquelin <jquelin> 2:5.12.2-5.mga1
+ Revision: 5260
- imported package perl
+ blino <blino>
- update distro name
- use generic distribution macros
- remove old conflicts
- imported package perl

